Bug 862312 - Regression in installer leaves app unreachable
Regression in installer leaves app unreachable
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Nightly
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: 6.0
Assigned To: Katello Bug Bin
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 11:33 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 13:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-10-02 11:33:34 EDT
Description of problem:


Version-Release number of selected component (if applicable):
katello-1.1.13-1.git.34.8dd9404.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. install katello
2. 
3.
  
Actual results:
webapp unreachable, just get 503 error in browser

Expected results:


Additional info:
attempted fix already, but doesn't seem to be workable:
https://github.com/Katello/katello/pull/776

workaround appears to be set servers=2 in /etc/katello/thin.yml ? haven't tried yet
Comment 2 Jeff Weiss 2012-10-02 11:37:06 EDT
Workaround failed.  httpd katello.conf file missing loadbalancer definitions:

  <Proxy balancer://thinservers>
  </Proxy>
Comment 4 Lukas Zapletal 2012-10-02 11:42:32 EDT
https://github.com/Katello/katello/pull/778
Comment 5 Lukas Zapletal 2012-10-02 11:44:06 EDT
Clearing all the flags, this is Katello only bug. Fixed upstream.
Comment 8 Jeff Weiss 2012-10-31 10:02:34 EDT
To test:

Run install.  If login page comes up in browser, bug is verified.
Comment 9 Lukas Zapletal 2012-10-31 10:29:06 EDT
This is fixed in SE 1.1, please verify.
Comment 10 Lukas Zapletal 2012-11-02 09:47:38 EDT
Again, this is Katello only bug.
Comment 11 Bryan Kearney 2014-01-21 14:07:21 EST
Moving to Sat6 to be tracked there. Upstream bugs are moving to redmine.

Note You need to log in before you can comment on or make changes to this bug.